<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:p="http://primefaces.org/ui"
	xmlns:pe="http://primefaces.org/ui/extensions">


<ui:composition template="/WEB-INF/templates/template-final.xhtml">
	<ui:define name="content">
		<div class="p-shadow-24">
			<p:card style="margin-right: 25px;">
				<h:form id="form">
					<div class="card crud-demo">
						<p:growl id="messages" showDetail="true" />

						<div class="products-buttonbar">
							<div>
								<p:commandButton value="New" icon="pi pi-plus"
									actionListener="#{broadcastBean.openNew()}"
									update=":form:manage-product-content"
									oncomplete="PF('manageProductDialog').show()"
									styleClass="ui-button-success" style="margin-right: .5rem">
									<p:resetInput target=":form:manage-product-content" />
								</p:commandButton>
							</div>
						</div>

						<p:dataTable id="dt-products" widgetVar="dtBc" var="bc"
							value="#{broadcastBean.broadcasts}" reflow="true"
							styleClass="products-table" rowKey="#{bc.id}" paginator="true"
							rows="10" rowSelectMode="add" paginatorPosition="bottom">
							<f:facet name="header">
								<div class="products-table-header">
									<span style="font-weight: bold">BroadCast</span>
								</div>
							</f:facet>

							<p:column headerText="id" sortBy="#{bc.id}">
								<h:outputText value="#{bc.id}" />
							</p:column>
							<p:column headerText="Name" sortBy="#{bc.informasi}">
								<h:outputText value="#{bc.informasi}" />
							</p:column>
							<p:column headerText="Link" sortBy="#{bc.link}">
								<h:outputText value="#{bc.link}" />
							</p:column>
							<p:column exportable="false">
								<p:commandButton icon="pi pi-pencil"
									styleClass="edit-button rounded-button ui-button-success">
								</p:commandButton>
								<p:commandButton class="ui-button-warning rounded-button"
									icon="pi pi-trash">
								</p:commandButton>
							</p:column>

						</p:dataTable>
					</div>

					<p:dialog header="Product Details" width="450" showEffect="fade"
						modal="true" widgetVar="manageProductDialog" responsive="true">
						<p:outputPanel id="manage-product-content" class="ui-fluid">
							<p:outputPanel>
								<div class="p-field">
									<p:outputLabel for="name">Name</p:outputLabel>
									<p:inputText id="name" value="#{broadcastBean.selectedBroadcast.link}"
										required="true" />
								</div>
								<div class="p-field">
									<p:outputLabel for="description">Description</p:outputLabel>
									<p:inputTextarea id="description"
										value="#{broadcastBean.selectedBroadcast.informasi}" />
								</div>
							</p:outputPanel>
						</p:outputPanel>

						<f:facet name="footer">
							<p:commandButton value="Save" icon="pi pi-check"
								actionListener="#{broadcastBean.saveBroadcast()}"
								update="manage-product-content"
								process="manage-product-content @this" />
							<p:commandButton value="Cancel" icon="pi pi-times"
								onclick="PF('manageProductDialog').hide()"
								class="ui-button-secondary" />
						</f:facet>
					</p:dialog>
				</h:form>
			</p:card>
		</div>
	</ui:define>
</ui:composition>

</html>